package cn.skcks.matrix.v2.model.role.convert;

import cn.skcks.matrix.v2.model.role.vo.RoleVo;
import cn.skcks.matrix.v2.orm.mybatis.dynamic.model.Role;
import com.github.pagehelper.PageInfo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.Collection;


@Mapper
public abstract class RoleConvertor {
    public final static RoleConvertor INSTANCE = Mappers.getMapper(RoleConvertor.class);

    abstract public RoleVo daoToVo(Role role);

    abstract public Collection<RoleVo> daoToVo(Collection<Role> roles);

    abstract public PageInfo<RoleVo> daoToVo(PageInfo<Role> pageInfo);
}
